# List features

Launch stage: Beta

`GET /api/2.0/feature-engineering/features`

List Features.

API scopes: mlflow

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to the next page based on a previous query.
- `page_size` (int32, optional)
  The maximum number of results to return.
- `catalog_name` (string, required)
  Name of parent catalog for features of interest.
- `schema_name` (string, required)
  Name of parent schema relative to its parent catalog.

## Returns

Returns a list of Feature objects.

## Response

```json
{
  "features": [
    {
      "full_name": "string",
      "source": {},
      "function": {},
      "description": "string",
      "entities": [
        {}
      ],
      "timeseries_column": {},
      "catalog_name": "string",
      "schema_name": "string",
      "name": "string",
      "created_at": "string",
      "created_by": "string"
    }
  ],
  "next_page_token": "string"
}
```

